MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001870VCMIMechanics - Adventure Mappublic2014-08-14 07:462016-09-08 14:34
ReporterKantor 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.98f 
Summary0001870: Sometimes creatures can spawn on unreachable area
DescriptionThis happened to me only at week of some creature. Check screenshot.
VCMI version: 7-08-2014
TagsNo tags attached.
Attached Filespng file icon Creature spawned on unreachable area.png [^] (161,944 bytes) 2014-08-14 07:46

- Relationships
related to 0001859closedbeegee Crash when rendering "unknown pattern" in undergroud 
has duplicate 0002333resolvedSXX Wandering creatures spawn in the Void (underground) 
has duplicate 0002150closedSXX month monster - there being in places where they should not be 

-  Notes
(0004915)
Warmonger (administrator)
2014-08-14 10:03

There must be something about rendering underground that I don't know.
(0004917)
Ivan (developer)
2014-08-15 19:42

Maybe RMG doesn't set TerrainTile::blocked property? I don't see any references to it in RMG.
(0004921)
Warmonger (administrator)
2014-08-18 04:50
edited on: 2014-08-18 04:51

Yes of course, but it doesn't explain creatures spawning on regular maps. I simply don't know which underground tiles should be blocked, which should be rock and which not and what is the algorithm for pattern placement and rendering.

(0004925)
Ivan (developer)
2014-08-18 09:08

Ah, I thought that this is specific to RMG.

Pathfinder seems to be working correctly here - it simply check for rock terrain. So for regular maps such test should work too - just add check for it in CPrivilagedInfoCallback::getFreeTiles()
(0006108)
SXX (administrator)
2015-11-25 06:19

Fixed:
https://github.com/vcmi/vcmi/commit/3d8f67f864cf882d91fedbed75833676a8ce7a11 [^]
(0006632)
SXX (administrator)
2016-09-08 14:34

BTW this code need more fixes since it's can place creatures on top of unreachable tiles / on top of blocking static objects.

- Issue History
Date Modified Username Field Change
2014-08-14 07:46 Kantor New Issue
2014-08-14 07:46 Kantor File Added: Creature spawned on unreachable area.png
2014-08-14 10:03 Warmonger Relationship added related to 0001859
2014-08-14 10:03 Warmonger Note Added: 0004915
2014-08-15 19:42 Ivan Note Added: 0004917
2014-08-18 04:50 Warmonger Note Added: 0004921
2014-08-18 04:51 Warmonger Note Edited: 0004921 View Revisions
2014-08-18 09:08 Ivan Note Added: 0004925
2014-09-23 16:37 Ivan Assigned To => Ivan
2014-09-23 16:37 Ivan Status new => assigned
2015-11-25 06:10 SXX Relationship added has duplicate 0002333
2015-11-25 06:14 SXX Assigned To Ivan => SXX
2015-11-25 06:19 SXX Note Added: 0006108
2015-11-25 06:19 SXX Status assigned => resolved
2015-11-25 06:19 SXX Fixed in Version => 0.98f
2015-11-25 06:19 SXX Resolution open => fixed
2015-11-25 07:28 SXX Relationship added has duplicate 0002150
2016-09-08 14:34 SXX Note Added: 0006632

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean